version: '3.8'

services:
  # Genesis Memory API (The Cortex Access Layer)
  memory-api:
    build:
      context: .
      dockerfile: Dockerfile.memory
    ports:
      - "8000:8000"
    volumes:
      - .:/app
    environment:
      - PYTHONUNBUFFERED=1
    restart: always

  # Genesis Homebase Coordinator (The Brain)
  coordinator:
    build:
      context: .
      dockerfile: Dockerfile.coordinator
    volumes:
      - .:/app
      - C:\Users\P3\.gemini\antigravity\brain:/app/brain
    environment:
      - PYTHONUNBUFFERED=1
    restart: always
    depends_on:
      - memory-api

  # Steady-State Workers (The Hands)
  worker-1:
    build:
      context: .
      dockerfile: Dockerfile.worker
    volumes:
      - .:/app
    environment:
      - WORKER_ID=homebase_worker_1
      - WORKER_MODE=steady_state
    restart: always
    depends_on:
      - memory-api

networks:
  default:
    name: genesis-network
